Page MenuHomePhabricator

Move code in includes/utils/StringUtils.php to libs (remove dependence on MediaWiki)
Closed, ResolvedPublic

Event Timeline

Legoktm created this task.Jan 29 2015, 4:56 PM
Legoktm claimed this task.
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 4:56 PM
Legoktm moved this task from Untriaged to Needs Review on the Librarization board.
ori renamed this task from Move code in includes/utils/StringUtils.php to libs (remove dependence upon MediaWiki) to Move code in includes/utils/StringUtils.php to libs (remove dependence on MediaWiki).Jan 29 2015, 5:02 PM
ori set Security to None.

Change 187435 had a related patch set uploaded (by Legoktm):
StringUtils: throw InvalidArgumentException and move into libs/

https://gerrit.wikimedia.org/r/187435

Patch-For-Review

Legoktm triaged this task as Medium priority.Jan 29 2015, 6:39 PM

Change 187435 merged by jenkins-bot:
StringUtils: throw InvalidArgumentException and move into libs/

https://gerrit.wikimedia.org/r/187435

hoo closed this task as Resolved.Jan 31 2015, 12:47 AM
hoo added a subscriber: hoo.
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Feb 5 2015, 1:58 AM
bd808 moved this task from Needs Review to Done on the Librarization board.Feb 9 2015, 3:33 AM